Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361319 - Review Request: perl-Dancer2-Plugin-DBIC - DBIx::Class interface for Dancer2 applications
Summary: Review Request: perl-Dancer2-Plugin-DBIC - DBIx::Class interface for Dancer2 ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 19:34 UTC by Emmanuel Seyman
Modified: 2016-08-13 11:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-13 11:10:40 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Emmanuel Seyman 2016-07-28 19:34:10 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Dancer2-Plugin-DBIC/perl-Dancer2-Plugin-DBIC.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Dancer2-Plugin-DBIC/perl-Dancer2-Plugin-DBIC-0.0013-1.fc24.src.rpm
Description:
This plugin makes it very easy to create Dancer2 applications that
interface with databases. It automatically exports the keyword schema which
returns a DBIx::Class::Schema object. You just need to configure your
database connection information. For performance, schema objects are cached
in memory and are lazy loaded the first time they are accessed.

This is (to my knowledge, anyway) the last Perl module needed to run PearlBee on Fedora.
Fedora Account System Username: eseyman
Rpmlint Output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jitka Plesnikova 2016-08-08 11:55:14 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Dancer2-Plugin-DBIC-0.0013-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(DBICx::Sugar)
      1 perl(Dancer2::Plugin)
      1 perl(strict)
      1 perl(utf8)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Dancer2-Plugin-DBIC-0.0013-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Dancer2::Plugin::DBIC) = 0.0013
      1 perl-Dancer2-Plugin-DBIC = 0.0013-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Dancer2-Plugin-DBIC*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok.

FIX: Please add missing build-require
 - perl(IO::Handle)

FIX: Please update the package to 0.14 before submit.
     There are only small changes.

Please correct all 'FIX' issues.

Otherwise the package looks good.
Approved.

Comment 2 Emmanuel Seyman 2016-08-08 12:27:50 UTC
Thank you, Jikta.

I've made the changes locally. Parinux is going through some server issues so I won't upload a new version but they'll be in the initial import.

I've requested the package repo.

Comment 3 Gwyn Ciesla 2016-08-08 15:25:22 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Dancer2-Plugin-DBIC

Comment 4 Emmanuel Seyman 2016-08-13 11:10:40 UTC
This package has been imported in Fedora and updates have been issued for the currently supported versions of Fedora.


Note You need to log in before you can comment on or make changes to this bug.